package com.fs.his.mapper;

import com.fs.his.domain.FsDoctorPrescribeCommon;
import com.fs.his.param.FsDoctorPrescribeCommonQueryParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 医生常用诊断/建议用语Mapper接口
 */
@Mapper
public interface FsDoctorPrescribeCommonMapper {
    /**
     * 查询医生常用语列表
     */
    List<FsDoctorPrescribeCommon> selectFsDoctorPrescribeCommonList(@Param("query") FsDoctorPrescribeCommonQueryParam query);

    /**
     * 根据ID查询医生常用语
     */
    FsDoctorPrescribeCommon selectFsDoctorPrescribeCommonById(Long commonId);

    /**
     * 新增医生常用语
     */
    int insertFsDoctorPrescribeCommon(FsDoctorPrescribeCommon common);

    /**
     * 修改医生常用语
     */
    int updateFsDoctorPrescribeCommon(FsDoctorPrescribeCommon common);

    /**
     * 删除医生常用语
     */
    int deleteFsDoctorPrescribeCommonById(Long commonId);

    /**
     * 批量删除医生常用语
     */
    int deleteFsDoctorPrescribeCommonByIds(Long[] commonIds);
}